Redmine - Defect #8197

Redmin in 1and1 Shared Hosting
2011-04-20 10:50 - Mika Ral

Status: Closed Start date: 2011-04-20
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.1.2
Description

Hello,

I'm trying to install Redmine on 1and1, | followed the official guide
installation and it seems that everything went perfectly when installed.

| created my own installation of Ruby in a directory type
$HOME/bin/ruby, and | created symbolic links from the "public" of
redline: In -s $HOME/redline/public/ $HOME/midomain.com/*

But my problem is accessing midomain.com, | get error 500 and my
log files are empty.

cgi_process.rb:22:in °__send__': undefined method “env_table' for nil:NilClass (NoMethodError)
Can anyone help?

Thank you very much

History

#1 - 2011-04-20 10:52 - Mika Ral
Version Ruby:

ruby 1.8.7 (2008-05-31 patchlevel 0) [i686-linux]
Gem 1.3.7

abstract (1.0.0)
actionmailer (3.0.7, 2.3.5)
actionpack (3.0.7, 2.3.5)
activemodel (3.0.7)
activerecord (3.0.7, 2.3.5)
activeresource (3.0.7, 2.3.5)
activesupport (3.0.7, 2.3.5)
arel (2.0.9)

builder (2.1.2)

bundler (1.0.12)
daemon_controller (0.2.6)
erubis (2.6.6)

fastthread (1.0.7)

fcgi (0.8.8)

hoe (2.9.4)

i18n (0.5.0, 0.4.2)

mail (2.2.17)

mime-types (1.16)

mysql (2.8.1)

passenger (3.0.7)
polyglot (0.3.1)

rack (1.2.2, 1.0.1)
rack-mount (0.6.14)
rack-test (0.5.7)

rails (3.0.7, 2.3.5)

railties (3.0.7)

rake (0.8.7)
rubygems-update (1.3.7)
thor (0.14.6)
treetop (1.4.9)
tzinfo (0.3.26)

#2 - 2011-04-20 10:54 - Mika Ral

I'm change all head script:
#!/env/bin ruby

For
#!$HOME/bin/ruby/bin/ruby

For use my ruby installation.

#3 - 2011-04-20 10:55 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid

Please post in forum, this tracker is for bugs or features only !
